Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db
Class CollationController

    java.lang.Object
      org.apache.cassandra.db.CollationController

    public class CollationController

extends java.lang.Object

Constructor Summary
`CollationController(ColumnFamilyStore cfs, boolean mutableColumns, QueryFilter filter, int gcBefore)`

Method Summary
`int` | `getSstablesIterated()`
`ColumnFamily` | `getTopLevelColumns()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CollationController

    public CollationController(ColumnFamilyStore cfs,
                               boolean mutableColumns,
                               QueryFilter filter,
                               int gcBefore)

Method Detail

### getTopLevelColumns

    public ColumnFamily getTopLevelColumns()

### getSstablesIterated

    public int getSstablesIterated()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation